## pius 3.0.0

=== requirements.txt ===
mock>=2.0.0

## pius 2.0.7

=== debian/changelog ===
pius (2.0.7-2) unstable; urgency=low

  * Add README to debian/docs (Closes: #592304)
   - Thanks to Eric Dorland for noticing its absence
  * Bump Standards-Version: No changes.

 -- Luke Cycon <lcycon@gmail.com>  Sun, 08 Aug 2010 23:04:01 -0700

pius (2.0.7-1) unstable; urgency=low

  * Initial release (Closes: #573784)

 -- Luke Cycon <lcycon@gmail.com>  Sat, 13 Mar 2010 17:27:51 -0800

=== debian/control ===
Source: pius
Section: python
Priority: extra
Maintainer: Luke Cycon <lcycon@gmail.com>
Build-Depends: debhelper (>= 7.0.0), python-support
Standards-Version: 3.9.1
Homepage: http://www.phildev.net/pius/

Package: pius
Architecture: all
Depends: python, gnupg, ${misc:Depends}, ${python:Depends}
Description: Quick and easy signing of each UID on a PGP keyring
 The PGP Individual UID Signer (PIUS) is a tool for individually
 signing all of the UIDs on a set of keys and encrypt-emailing each
 one to it's respective email address. This drastically reduces the time
 and errors involved in signing keys after a keysigning party.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

clean:
	dh_testdir
	dh_testroot
	dh_clean

	rm -rf debian/pius

binary: install
	dh binary

=== debian/watch ===
version=3

http://sf.net/pgpius/pius-(.*)\.tar\.bz2

## pius 2.0.11

=== debian/changelog ===
pius (2.0.11-1) unstable; urgency=medium

  * New upstream version (closes: #681939):
    - Added pius-keyring-mgr, a new utility for managing keyrings, mostly
      useful for party organizers.
    - Added pius-party-worksheet. Previously this was offered on the site, but
      not as part of this package. Generates party worksheets.
    - Skip expired UIDs and JPG UIDs.
    - Made the mail library more robust and switch by default to TLS.
    - Tons of other fixes for uncommon configs.
  * debian/control:
    - Add myself as an Uploader.
    - Add Alioth git repo.
    - Depend on dh 9.
    - Add proper dependencies for dh_python2.
  * debian/install: Install the two new utilities.
  * debian/compat: Bump it to 9.
  * debian/pius.1: Update the man page.  Thanks, Philipp Matthias Hahn
    (closes: #602588).  Fixed some additional typos on top of that.
  * debian/patches/01_typos,typos.patch: Added to fix Phil's lovely typos.
  * debian/rules: Added --with python2.
  * debian/docs: Added README.keyring-mgr.
  * debian/copyright: Rewrote it from scratch in DEP-5 format, dropped the
    "exception" (it's not such an exception but just a confirmation that he
    wants just GPL-2, not a later one.)  Dropped the Lintian overrides too.

 -- David Martínez Moreno <ender@debian.org>  Tue, 08 Apr 2014 11:51:54 -0700

=== debian/control ===
Source: pius
Section: python
Priority: extra
Maintainer: Luke Cycon <lcycon@gmail.com>
Uploaders: David Martínez Moreno <ender@debian.org>
Build-Depends: debhelper (>= 9.0.0), python | python-all | python-dev | python-all-dev
Standards-Version: 3.9.5
Homepage: http://www.phildev.net/pius/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pius.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pius.git

Package: pius
Architecture: all
Depends: python, gnupg, ${misc:Depends}, ${python:Depends}
Description: utilities for signing GPG UIDs and prepare a signing party
 The PGP Individual UID Signer (PIUS) is a set of tools for individually
 signing all of the UIDs on a set of keys and encrypt-emailing each
 one to its respective email address. This drastically reduces the time
 and errors involved in signing keys after a keysigning party.

## pius 2.1.1

=== debian/changelog ===
pius (2.1.1-1) unstable; urgency=medium

  * New upstream release:
    - This version moves to always using long keyids internally for security.
      We recommend setting keyid-format long in your ~/.gnupg/gpg.conf.
    - This release also includes a variety of bugfixes and some significant
      code refactoring.
    - pius-party-worksheet has been fixed (closes: #766217).
  * debian/patches/01_typos,typos: Refreshed.
  * debian/control:
    - Moved Luke Cycon <lcycon@gmail.com> to Uploaders, after 5 years without
      any news from him, and take over as Maintainer.
    - Bumped Standards-Version to 3.9.6 (no changes).
    - Added dh-python to Build-Depends.
  * debian/watch: Added.
  * debian/upstream: Added Phil's GPG key to validate pius' releases.

 -- David Martínez Moreno <ender@debian.org>  Wed, 29 Jul 2015 01:53:58 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pius
 Section: python
 Priority: extra
-Maintainer: Luke Cycon <lcycon@gmail.com>
-Uploaders: David Martínez Moreno <ender@debian.org>
-Build-Depends: debhelper (>= 9.0.0), python | python-all | python-dev | python-all-dev
-Standards-Version: 3.9.5
+Maintainer: David Martínez Moreno <ender@debian.org>
+Uploaders: Luke Cycon <lcycon@gmail.com>
+Build-Depends: debhelper (>= 9.0.0), python | python-all | python-dev | python-all-dev, dh-python
+Standards-Version: 3.9.6
 Homepage: http://www.phildev.net/pius/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pius.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/pius.git

## pius 2.2.1

=== debian/changelog ===
pius (2.2.1-2) unstable; urgency=low

  * debian/patches:
    - progress_pinentry_launched: Added from upstream to fix pius with new
      versions of GnuPG (closes: #805649).
    - typos,typos: Refreshed.

 -- David Martínez Moreno <ender@debian.org>  Fri, 20 Nov 2015 16:10:17 -0800

pius (2.2.1-1) unstable; urgency=low

  * New upstream release:
    - The big change is that now GnuPG 2.x is the default and support for 1.x
      is deprecated, to be removed in a later release.
    - Significantly refactored code into more classes.
    - Added pius-report, a utility for verifying if keys have been signed
      after a party.
    - Changed the default mode to use gpg-agent.
  * debian/control:
    - No news about Luke Cycon, so remove him from Uploaders.  Thanks for your
      work, and feel free to return at any point!
    - Added X-Python-Version.
    - Added gnupg2 and prepare a NEWS file for hinting about the migration.
    - Moved the section to utils.
  * debian/NEWS: Added.
  * debian/docs: Adjusted for the new names.

 -- David Martínez Moreno <ender@debian.org>  Sat, 10 Oct 2015 02:23:08 -0700

=== debian/control ===
Source: pius
Section: utils
Priority: extra
Maintainer: David Martínez Moreno <ender@debian.org>
Build-Depends: debhelper (>= 9.0.0), python | python-all | python-dev | python-all-dev, dh-python
Standards-Version: 3.9.6
X-Python-Version: >= 2.6
Homepage: http://www.phildev.net/pius/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pius.git
Vcs-Git: git://anonscm.debian.org/collab-maint/pius.git

Package: pius
Architecture: all
Depends: python, gnupg, gnupg2, ${misc:Depends}, ${python:Depends}
Description: utilities for signing GPG UIDs and prepare a signing party
 The PGP Individual UID Signer (PIUS) is a set of tools for individually
 signing all of the UIDs on a set of keys and encrypt-emailing each
 one to its respective email address. This drastically reduces the time
 and errors involved in signing keys after a keysigning party.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@
+	dh $@ --with python2
 
 clean:
 	dh_testdir

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://sf.net/pgpius/pius-(.+)\.tar\.bz2

## pius 2.2.3

=== debian/changelog ===
pius (2.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Felix Lechner <felix.lechner@gmail.com>  Mon, 16 Jan 2017 22:33:30 -0800

pius (2.2.2+git20161015.891687c-1) unstable; urgency=high

  * Pulled most recent sources from GitHub master (Closes: #847407)

 -- Felix Lechner <felix.lechner@gmail.com>  Sat, 10 Dec 2016 21:36:55 -0800

pius (2.2.2-2) unstable; urgency=medium

  * Created manpage for pius-report(1)
  * Created manpage for pius-keyring-mgr(1)
  * Created manpage for pius-party-worksheet(1)
  * Edited man page for pius(1)
  * Patched 'pius' script to add help text
  * Shortened long lines in description
  * Changed debian/compat to 10
  * Modified 'rules' to use standard debhelper functions

 -- Felix Lechner <felix.lechner@gmail.com>  Thu, 01 Dec 2016 16:21:19 -0800

pius (2.2.2-1) unstable; urgency=medium

  * New upstream version
  * New maintainer (Closes: #845284)
  * Updated Standards-Version: to 3.9.8
  * Requiring debhelper >= 10
  * Shipping new tool 'pius-report'
  * Fixed documentation related to '-S' in manpage (Closes: #813346)
  * Documented new pius option '--force-signer
  * Pointed watch at upstream Git
  * Updated upstream signing key
  * Removed Vcs-Git: and Vcs-Browser: in control
  * Added new maintainer in copyright notice
  * Changed description in control file

 -- Felix Lechner <felix.lechner@gmail.com>  Fri, 25 Nov 2016 05:46:55 -0800

=== debian/control ===
Source: pius
Section: utils
Priority: extra
Maintainer: Felix Lechner <felix.lechner@gmail.com>
Build-Depends: debhelper (>= 10), python | python-all | python-dev | python-all-dev, dh-python
Standards-Version: 3.9.8
X-Python-Version: >= 2.6
Homepage: http://www.phildev.net/pius/

Package: pius
Architecture: all
Depends: python, gnupg, gnupg2, ${misc:Depends}, ${python:Depends}
Description: Tools to help before and after key-signing parties
 After a key-signing party, pius (the PGP Individual UID Signer) signs each
 uid on a GPG key individually. Each signature is encrypted and mailed to
 the email address associated with that particular uid. As a result of this
 process, the recipient can choose which signatures to import. Also,
 signatures of inactive uids are not delivered. This tool greatly reduces
 time and error when signing keys.
 .
 Other tools herein are useful for organizers: pius-keyring-mgr builds a party
 keyring from a CSV file or by scanning mailboxes, and pius-party-worksheet
 generates a worksheet as a hand out. If someone has not signed your key,
 pius-report can analyze a party keyring and remind them.
 .
 This version supports GPGv2 and uses it by default.

## pius 2.2.4

=== debian/changelog ===
pius (2.2.4-1) unstable; urgency=medium

  * New upstream release
  * New maintainer email address

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 28 Feb 2017 17:21:40 -0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: pius
 Section: utils
 Priority: extra
-Maintainer: Felix Lechner <felix.lechner@gmail.com>
-Build-Depends: debhelper (>= 10), python | python-all | python-dev | python-all-dev, dh-python
+Maintainer: Felix Lechner <felix.lechner@lease-up.com>
+Build-Depends:
+ debhelper (>= 10),
+ python | python-all | python-dev | python-all-dev,
+ dh-python
 Standards-Version: 3.9.8
 X-Python-Version: >= 2.6
 Homepage: http://www.phildev.net/pius/

=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,10 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 %:
 	dh $@ --with python2
 
-clean:
-	dh_testdir
-	dh_testroot
-	dh_clean
-
-	rm -rf debian/pius
-
-binary: install
-	dh binary
+#binary: install
+#	dh binary

## pius 2.2.6

=== debian/changelog ===
pius (2.2.6-2) unstable; urgency=medium

  * Revert to python2 (Closes: #905101)
  * Set Rules-Requires-Root: no

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 31 Jul 2018 09:08:04 -0700

pius (2.2.6-1) unstable; urgency=medium

  * New upstream release (Closes: #873741)
  * Set Build-Depends: and Depends: to python3 and friends (Closes: #902328)
  * Removed X-Python-Version:
  * Set Depends: gnupg (>= 2) (Closes: #864431)
  * Switched to upstream manpages (submitted from Debian)
  * Set Vcs-Browser: https://salsa.debian.org/lechner-guest/pius
  * Set Vcs-Git: https://salsa.debian.org/lechner-guest/pius.git
  * Switched to secure URI in copyright
  * Set Priority: optional (from extra)
  * Set Build-Depends: debhelper (>= 11)
  * Set compat to 11
  * Set Standards-Version: 4.1.5

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 10 Jul 2018 22:35:42 -0700

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: pius
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Felix Lechner <felix.lechner@lease-up.com>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  python | python-all | python-dev | python-all-dev,
  dh-python
-Standards-Version: 3.9.8
-X-Python-Version: >= 2.6
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Homepage: http://www.phildev.net/pius/
+Vcs-Browser: https://salsa.debian.org/lechner-guest/pius
+Vcs-Git: https://salsa.debian.org/lechner-guest/pius.git
 
 Package: pius
 Architecture: all
-Depends: python, gnupg, gnupg2, ${misc:Depends}, ${python:Depends}
+Depends: python, gnupg (>= 2), ${misc:Depends}, ${python:Depends}
 Description: Tools to help before and after key-signing parties
  After a key-signing party, pius (the PGP Individual UID Signer) signs each
  uid on a GPG key individually. Each signature is encrypted and mailed to

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export DH_VERBOSE=1
 
 %:
-	dh $@ --with python2
+	dh $@ --with python2 --buildsystem=pybuild
 
 #binary: install
 #	dh binary

## pius 3.0.0

=== debian/changelog ===
pius (3.0.0-8) unstable; urgency=medium

  * d/control: b-d on python3-setuptool. (Closes: #1080702)
  * d/control: update homepage.
  * d/control: Standards-Version update to 4.7.0. No changes required.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 04 Oct 2024 17:10:19 -0400

pius (3.0.0-7) unstable; urgency=medium

  * d/patches: add 0003 to use more modern gpg defaults. (Closes: #1058702)
  * d/control: replace custom autopkgtest by autopkgtest-pkg-pybuild.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 06 Jan 2024 23:04:33 -0500

pius (3.0.0-6) unstable; urgency=medium

  * d/watch: update to github API.
  * d/control: Standards-Version update to 4.6.2. No changes required.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Tue, 13 Jun 2023 17:14:50 -0400

pius (3.0.0-5) unstable; urgency=medium

  * Adopt package and maintain it in the Debian Python Team.
  * d/patches: cherry-pick 0002 from upstream HEAD. (Closes: #989031)
  * d/pybuild.testfiles: add test file manually so unittest discovers it.
  * d/tests: run unit tests as autopkgtest.
  * d/control: Standards-Version update to 4.6.1. No changes.
  * d/watch: update to v4 syntax.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 19 Aug 2022 16:02:46 -0400

pius (3.0.0-4) unstable; urgency=medium

  * Orphan.
  * Point Vcs fields to 'debian' namespace on Salsa.

 -- Felix Lechner <felix.lechner@lease-up.com>  Thu, 21 Apr 2022 09:52:50 -0700

pius (3.0.0-3) unstable; urgency=medium

  * Cherry-pick commit 4fcd97c5 from upstream. (Closes: #997010)
  * Bump Standards-Version to 4.6.0.
  * Provide d/salsa-ci.yml to enable the standard Salsa CI pipeline.

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 02 Nov 2021 20:33:42 -0700

pius (3.0.0-2) unstable; urgency=medium

  * Fix build dependencies (Closes: #948935)
  * Bump Standards-Version to 4.4.1

 -- Felix Lechner <felix.lechner@lease-up.com>  Tue, 21 Jan 2020 20:56:28 -0800

pius (3.0.0-1) unstable; urgency=medium

  * New upstream release
    - Uses python3 (Closes: #937294)
  * Bump debhelper to 12; using debhelper-compat in d/control
  * Remove d/compat
  * Bump Standards-Version to 4.4.0
  * Use python3 helpers in d/rules
  * Use python3 dependencies in d/control
  * Remove old python3 patch

 -- Felix Lechner <felix.lechner@lease-up.com>  Wed, 11 Sep 2019 17:37:29 -0700

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,26 @@
 Source: pius
 Section: utils
 Priority: optional
-Maintainer: Felix Lechner <felix.lechner@lease-up.com>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
 Build-Depends:
- debhelper (>= 11),
- python | python-all | python-dev | python-all-dev,
- dh-python
-Standards-Version: 4.1.5
+ debhelper-compat (= 13),
+ python3-all,
+ dh-python,
+ python3-setuptools
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://www.phildev.net/pius/
-Vcs-Browser: https://salsa.debian.org/lechner-guest/pius
-Vcs-Git: https://salsa.debian.org/lechner-guest/pius.git
+Homepage: https://github.com/jaymzh/pius
+Vcs-Browser: https://salsa.debian.org/python-team/packages/pius
+Vcs-Git: https://salsa.debian.org/python-team/packages/pius.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: pius
 Architecture: all
-Depends: python, gnupg (>= 2), ${misc:Depends}, ${python:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ gnupg
 Description: Tools to help before and after key-signing parties
  After a key-signing party, pius (the PGP Individual UID Signer) signs each
  uid on a GPG key individually. Each signature is encrypted and mailed to

=== debian/watch ===
version=4
opts=pgpmode=auto,searchmode=plain \
  https://api.github.com/repos/jaymzh/@PACKAGE@/releases \
  https://github.com/jaymzh/@PACKAGE@/releases/download/v(?:\d[\d.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
